%global _basename Orchis
%global year 2024
%global month 11
%global day 03

Name:            orchis-gtk-theme

%global forgeurl https://github.com/vinceliuice/%{_basename}-theme
%global tag      %{year}-%{month}-%{day}
# %%global commit   6cda1476f059a0f96b475e80112f333e1ba66a80
%global date     %{year}%{month}%{day}
%forgemeta

Version:         %{year}.%{month}.%{day}
Release:         1%{?dist}
Summary:         Material Design theme for GNOME/GTK based desktop environments
License:         GPL-3.0
URL:             %{forgeurl}
Source:          %{forgesource}

BuildArch:       noarch

BuildRequires:   sassc
BuildRequires:   gnome-shell

Recommends:      gtk2-engines
Recommends:      gtk-murrine-engine
Recommends:      gnome-themes-extra

%description
Orchis is a %summary.

%files
%{_datadir}/themes/%{_basename}*
%exclude %{_datadir}/themes/%{_basename}-Black*
%exclude %{_datadir}/themes/%{_basename}-*-Nord*
%exclude %{_datadir}/themes/%{_basename}-*-Dracula*

#------------------------------------------------------------------

%package    black
Summary:    Material Design theme for GNOME/GTK based desktop environments - Full black variant

%description black
Orchis is a Material Design theme for GNOME/GTK based desktop environments.

This package contains the full black variant.

%files      black
%{_datadir}/themes/%{_basename}-Black*

#------------------------------------------------------------------

%package    nord
Summary:    Material Design theme for GNOME/GTK based desktop environments - nord variant

%description nord
Orchis is a Material Design theme for GNOME/GTK based desktop environments.

This package contains the nord variant.

%files      nord
%{_datadir}/themes/%{_basename}-*-Nord*

#------------------------------------------------------------------

%package    dracula
Summary:    Material Design theme for GNOME/GTK based desktop environments - dracula variant

%description dracula
Orchis is a Material Design theme for GNOME/GTK based desktop environments.

This package contains the dracula variant.

%files      dracula
%{_datadir}/themes/%{_basename}-*-Dracula*

#------------------------------------------------------------------

%prep
%forgeautosetup -p1

%build
./parse-sass.sh

%install
mkdir -p %{buildroot}%{_datadir}/themes
./install.sh -i fedora -t all --tweaks primary dock -d %{buildroot}%{_datadir}/themes
./install.sh -n %{_basename}-Black -i fedora -t all --tweaks primary dock black -d %{buildroot}%{_datadir}/themes
./install.sh -i fedora -t all --tweaks primary dock nord -d %{buildroot}%{_datadir}/themes
./install.sh -i fedora -t all --tweaks primary dock dracula -d %{buildroot}%{_datadir}/themes

#------------------------------------------------------------------

%changelog
* Wed Apr 23 2025 Hazel Bunny <hazel_bunny@disroot.org> 2024.11.03-1
- Update to 2024.11.03

* Sun Oct 20 2024 Hazel Bunny <hazel_bunny@disroot.org> 2024.09.02-2
- Fix package names

* Fri Oct 18 2024 Hazel Bunny <hazel_bunny@disroot.org> 2024.09.02-1
- Initial Package.
